Bug 33782 - Check package manager support for installation in image builder
Check package manager support for installation in image builder
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Erik Damrose
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-19 09:44 CET by Moritz Muehlenhoff
Modified: 2014-06-12 09:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Roadmap discussion
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-12-19 09:44:58 CET
During the image generation the packages are installed in a chroot. Some packages fail to install because the postinst expects the installed service to be running.

We should check whether there's a generic way to mask such errors (IIRC there was something for pbuilder in the past)
Comment 1 Moritz Muehlenhoff univentionstaff 2014-04-11 10:16:49 CEST
From: http://irclogs.ubuntu.com/2013/05/28/%23ubuntu-devel.txt

[18:10] <ogra_> Setting up libpam-systemd:armhf (202-0ubuntu8) ...
[18:10] <ogra_> All runlevel operations denied by policy
[18:10] <ogra_> invoke-rc.d: unknown initscript, /etc/init.d/systemd-logind not found.
[18:10] <ogra_> seems to have the same issue
[18:22] <ogra_> ah, libpam-systemd makes all other arches fail too
[18:24] <ogra_> slangasek, ^^^ is having an debian/*.init script mandatory with https://wiki.ubuntu.com/UpstartCompatibleInitScripts ?
[18:25] <slangasek> ogra_: cjwatson and I discussed this bug already; this is actually an unanticipated bug in invoke-rc.d
[18:25] <slangasek> so I'm working on fixing that
[18:25] <ogra_> (teh wikipage doesnt really say that)
[18:25] <ogra_> ah, k
[18:26] <slangasek> Debian policy does say that you shouldn't ship upstart jobs without corresponding init scripts; however, that's Debian, not Ubuntu
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-11 14:29:05 CEST
There's no generic way to fix this in Upstart. Alos 14.04 will be the last Ubuntu release before the make the move to systemd.

I've created a package univntion-ucc-bootstrap which ships a dummy init script for /etc/init.d/systemd-logind. This fixes the bootstrap with the systemd package that was uploaded to trusty this morning. It also allows us to add stub scripts for other Ubuntu-specific packages which have an Upstart job but not init script.

I intentionally did not patch them into the packages itself (like systemd in this case). This causes too much churn since we need to re-patch whenever these packages are modifid in Ubuntu.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-04-14 08:37:06 CEST
I also added stub packages for modemmmager, whoopsie and ofono. This allows a full bootstrap of the desktop image and the kubuntu-desktop the package (previously the installation of these packages was prevented).
Comment 4 Erik Damrose univentionstaff 2014-04-28 12:12:01 CEST
Verified: Dummy scripts are available and image generation works fine. 

We should document that this package is required during image generation.
Comment 5 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:00 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".